Skip to content

Anywhere 365 ​


The Anywhere 365 Cloud Contact Center software lets customers effortlessly engage with your business over the communications channels of their own choice: voice, chat, email, WhatsApp, social media, and many other channels. This collection of APIs allows seamless integration of Anywhere 365 from our Fusion platform.

Check Anywhere 365 for a MS tenant integration ​

Before being able to integrate Anywhere 365 services, this API can be used to verify if the service integration is available at group level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/check

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.check

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the Anywhere 365 integration status

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The actual integration status has been read
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No MS Teams tenant found or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
enabledbooleanFlag that is true if your group allows Anywhere 365 integration, false otherwiseno
Example ​
json
{
    "enabled": true
}

Integrate an Anywhere 365 site ​

Before being able to use Anywhere 365 services, you'll have to integrate the Anywhere 365 main site to your Fusion subscription. This API allows this by using the Anywhere 365 main site name as the entry point.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.integrate

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
namestringThe Anywhere 365 main site nameyes

Example ​

json
{
  "name": "A365 Test Site Collection"
}

Response ​

Status codes ​

ParameterDescription
200The Anywhere 365 main site was integrated successfully
400Error while integrating the Anywhere 365 main site
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
a365IdstringReference of the Microsoft Sharepoint list defining the Anywhere 365 main siteno
idintegerIndex of the integrated Anywhere 365 in our SRE databaseno
Example ​
json
{
    "a365Id": "netaxisdev.sharepoint.com,5db4803c-b318-41bb-b21d-b2d2e0fb8dcd,729daeb5-5be7-4934-8823-ac0050eb1d99",
    "id": 2
}

Get the list of Anywhere 365 subsites ​

After an Anywhere 365 site has been integrated, its subsites may be managed. This API call returns all available subsites related to an Anywhere 365 main site.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/subsites

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the Anywhere 365 subsites list
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

ParameterTypeDescriptionRequired?
parentstringSet this value to the desired parent site to retrieve. If the parent has no children, will be returned an empty arrayno

Response ​

Status codes ​

ParameterDescription
200Anywhere 365 subsites have been found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No MS Teams user found or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
sitesarrayA list of subsite objects related to the main siteno
Subsite Object ​
ParameterTypeDescriptionConditional?
idstringReference of the Microsoft Sharepoint list defining the Anywhere 365 siteno
namestringName of the Anywhere 365 subsiteno
hasChildrenbooleanThe Anywhere 365 subsite has childrenno
isRootbooleanThe Anywhere 365 subsite is root levelno
levelintegerTree level of the Anywhere 365 site/subsiteno
parentstringReference of the Microsoft Sharepoint list defining the Anywhere 365 parent site. Not returned at level 0 siteno
filterbooleanFilter. Only present if the site is defined as filter.no
Example no/empty query parent ​
json
{
    "sites": [
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,8fa69c4c-64a0-45bd-b87b-aee2ac01f849",
            "name": "EMEA Root Site",
            "level": 0,
            "isRoot": true,
            "hasChildren": true
        },
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,bd5b822d-85ed-4f8e-a11e-254d503ca6c2",
            "name": "Switzerland",
            "level": 1,
            "isRoot": false,
            "parent": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,8fa69c4c-64a0-45bd-b87b-aee2ac01f849",
            "hasChildren": true
        },
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,a5994ada-391e-4eed-bf1a-6dd88a75d13e",
            "name": "France",
            "level": 1,
            "isRoot": false,
            "parent": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,8fa69c4c-64a0-45bd-b87b-aee2ac01f849",
            "hasChildren": true
        },
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,690ecc08-7d6e-4881-bcb5-d0a917aca844",
            "name": "Office and Administration Bern",
            "level": 2,
            "isRoot": false,
            "parent": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,bd5b822d-85ed-4f8e-a11e-254d503ca6c2",
            "hasChildren": false,
            "filter": true
        },
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,e114e6fb-393b-4732-8549-e0384f8e1131",
            "name": "Office and Administration Paris",
            "level": 2,
            "isRoot": false,
            "parent": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,a5994ada-391e-4eed-bf1a-6dd88a75d13e",
            "hasChildren": false,
            "filter": false
        },
        {
            "id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,7a7d825b-9e72-47eb-bee0-b8bdad84416d",
            "name": "Industry Bern",
            "level": 2,
            "isRoot": false,
            "parent": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,bd5b822d-85ed-4f8e-a11e-254d503ca6c2",
            "hasChildren": false,
            "filter": false
        }
    ]
}
Example query parent with children ​
json
{
    "sites": [
        {
            "id": "netaxistest.sharepoint.com,26910c72-af43-4e15-bbfc-8b5d8cb8890f,ff562d61-c457-42ec-90c0-c6c0492fecfb",
            "name": "Switzerland",
            "level": 1,
            "isRoot": false,
            "parent": "netaxistest.sharepoint.com,26910c72-af43-4e15-bbfc-8b5d8cb8890f,0a2facc8-5da4-42ed-bec3-41e6e361ed79",
            "hasChildren": true
        }
    ]
}
Example query parent with no children ​
json
{
    "sites": []
}

Get the list of Anywhere 365 main sites ​

After an Anywhere 365 site has been integrated, its main sites may be managed. This API call returns all available main sites.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the Anywhere 365 main sites list

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Anywhere 365 main sites list have been returned successfuly
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No MS Teams user found or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
sitesarrayA list of main site objects main sitesno
Main Site Object ​
ParameterTypeDescriptionConditional?
a365IdstringReference of the Microsoft Sharepoint list defining the Anywhere 365 main siteno
namestringName of the Anywhere 365 main siteno
Example ​
json
{
    "sites": [
        {
            "a365Id": "netaxistest.sharepoint.com,26910c72-af43-4e15-bbfc-8b5d8cb8890f,0a2facc8-5da4-42ed-bec3-41e6e361ed79",
            "name": "EMEA Root Site"
        }
    ]
}

Get the list of agents and supervisors of a subsite ​

When selecting a subsite, we can start managing the agents and supervisors lists that belong to this subsite. This API returns the list of agents and supervisors that belong to a specific subsite.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/agents

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.agents.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the list of agents and supervisors
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

ParameterTypeDescriptionRequired?
typestringSet this value to agentsif you want to restrict the results to the agents, supervisors for supervisors or both if it doesn't matter. If not used, defaults to both valueno

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of agents could be retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription / Anywhere 365 subsite doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
agentsarrayList of agent objects associated to this subsiteyes
supervisorsarrayList of supervisor objects associated to this subsiteyes
Agent or Supervisor Object ​
ParameterTypeDescriptionConditional?
userstringSIP address of the agent or supervisorno
formalbooleanFlag that tells if an agent may op-in or opt-out a queue. Only relevant for agents, not present for supervisorsyes
userPrincipalNamestringUser principal name in the Microsoft Azure AD meaningyes
phoneNumberstringPhone number assigned to the agent or supervisor in Microsoft Teamsyes
Example ​
json
{
    "agents": [
        {
            "formal": false,
            "user": "sip:pietro.acinapura@netaxisdev.onmicrosoft.com"
        },
        {
            "formal": false,
            "phoneNumber": "+33613575607",
            "user": "sip:christophe.bury@netaxis.be",
            "userPrincipalName": "christophe@netaxisdev.onmicrosoft.com"
        },
        {
            "formal": true,
            "user": "sip:francesco.tarantola@netaxis.be"
        }
    ],
    "supervisors": [
        {
            "phoneNumber": "+3223661285",
            "user": "sip:manuel.basilavecchia@netaxis.be",
            "userPrincipalName": "manuel@netaxisdev.onmicrosoft.com"
        },
        {
            "user": "sip:gaetan.brichet@netaxis.com"
        }
    ]
}

Get the details of an agent or supervisor ​

When selecting an entry from the list of agents and supervisors, this API returns the details of the selected entry. If the entry is an agent, the API call also returns the complete list of possible skills including the ones that are assigned to the agent and their associated score.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/agents/{agent_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.agents.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the list of agents and supervisors
site_idstringOne of the Anywhere 365 subsite as returned by this API
agent_idstringOne of the Anywhere 365 agent or supervisor user property (sip address) as returned by this API

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The details of the agent or supervisor could be retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription / Anywhere 365 subsite / agent doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
displayNamestringDisplay name of the agent or supervisor as read from Microsoft Teamsyes
userstringSIP address of the agent or supervisorno
formalbooleanFlag that tells if an agent may op-in or opt-out a queue. Only relevant for agents, not present for supervisorsyes
userPrincipalNamestringUser principal name in the Microsoft Azure AD meaningyes
phoneNumberstringPhone number assigned to the agent or supervisor in Microsoft Teamsyes
categoriesarrayList of category objects which summarizes the main skills categoriesno
Category Object ​
ParameterTypeDescriptionConditional?
namestringName of the skills categoryno
skillsarrayList of skill objects that belong to this categoryno
Skill Object ​
ParameterTypeDescriptionConditional?
namestringName of the skillno
activebooleanIndicates if the agent has the skill assigned or not. Not used for creation or modification APIs as it is implicit if skill is presentno (not used for POST or PUT APIs)
scoreintegerValue between 1% and 100% that gives an information about the competence of the agent for this skillyes
Example ​
json
{
    "categories": [
        {
            "name": "Skill",
            "skills": [
                {
                    "active": true,
                    "name": "Netaxis Developer",
                    "score": 100
                },
                {
                    "active": true,
                    "name": "Netaxis Sales",
                    "score": 0
                }
            ]
        },
        {
            "name": "AvailabilitySkill",
            "skills": [
                {
                    "active": false,
                    "name": "Another skill"
                }
            ]
        },
        {
            "name": "ChatSkill",
            "skills": [
                {
                    "active": false,
                    "name": "I can Chat"
                }
            ]
        }
    ],
    "displayName": "Christophe BURY",
    "formal": false,
    "phoneNumber": "+33613575607",
    "type": "agent",
    "user": "sip:christophe.bury@netaxis.be",
    "userPrincipalName": "christophe@netaxisdev.onmicrosoft.com"
}

Get the list of free MS Teams users for Anywhere 365 linking ​

When adding a new agent or supervisor to an Anywhere 365 subsite, you need to get all available MS Teams users that are voice enabled (have a telephone number) and that have not been linked yet. This API returns such a list by looking voice enabled users in Fusion, enriching this list with MS Teams data and challenging this list against already linked agents and supervisors on Anywhere 365. As a user can be both assigned as an agent or a supervisor to an Anywhere 365 site, it is free as long at it has not be assigned to both roles.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/free_users

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.free.users.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the list of agents and supervisors
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of free users could be retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription / Anywhere 365 subsite doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
usersarrayList of free user objects with relevant data for Anywhere 365 linkingno
Free User Object ​
ParameterTypeDescriptionConditional?
idstringUnique ID of the user as read from Azure ADyes
displayNamestringDisplay name of the user as read from Microsoft Teamsyes
phoneNumberstringPhone number assigned to the user in Microsoft Teamsyes
userPrincipalNamestringUser principal name in the Microsoft Azure AD meaningyes
typesarrayList of roles still available for this user. Possible values are:
  • agent,
  • supervisor
or both
no
Example ​
json
{
    "users": [
        {
            "displayName": "Richard Lobster",
            "id": "7b0b3347-fd1a-4c2e-acf8-927063fffb6b",
            "phoneNumber": "+27102851536",
            "types": [
                "agent"
            ],
            "userPrincipalName": "RichardLobster@netaxisdev.onmicrosoft.com"
        },
        {
            "displayName": "John Doe",
            "id": "7372da36-521b-43f4-8b17-51653efb31c8",
            "phoneNumber": "+27102851545",
            "types": [
                "agent"
            ],
            "userPrincipalName": "johndoe@netaxisdev.onmicrosoft.com"
        },
        {
            "displayName": "Marty van de Veerdonk",
            "id": "927af5d9-8b79-4206-8143-c1f8bb0fc602",
            "phoneNumber": "+27102851554",
            "types": [
                "agent",
                "supervisor"
            ],
            "userPrincipalName": "marty.vandeveerdonk@netaxisdev.onmicrosoft.com"
        }
    ]
}

Get the list of skills of a subsite ​

When adding a new agent to an Anywhere 365 subsite, you need to get all available skills for this subsite to allow agent skills assignment. This API returns all skills of a subsite ordered by categories. Per default, all active states are set to false as the new agent to be created has no skills assigned yet.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/skills

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.skills.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the list of agents and supervisors
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of skills could be retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription / Anywhere 365 subsite doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
categoriesarrayList of category objects which summarizes the main skills categoriesno
Example ​
json
{
    "categories": [
        {
            "name": "Skill",
            "skills": [
                {
                    "active": false,
                    "name": "Netaxis Developer"
                },
                {
                    "active": false,
                    "name": "Netaxis Sales"
                }
            ]
        },
        {
            "name": "AvailabilitySkill",
            "skills": [
                {
                    "active": false,
                    "name": "Another skill"
                }
            ]
        },
        {
            "name": "ChatSkill",
            "skills": [
                {
                    "active": false,
                    "name": "I can Chat"
                }
            ]
        }
    ]
}

Use this API to link an existing voice enabled MS Teams user as an agent or a supervisor to an Anywhere 365 subsite.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/agents

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.agent.link

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
typestringType of the user to be linked, allowed values are agent or supervisorno
userstringSIP address of the agent or supervisorno
formalbooleanFlag that tells if an agent may op-in or opt-out a queue. Only relevant for agents, not relevant for supervisorsyes
userPrincipalNamestringUser principal name in the Microsoft Azure AD meaning. This info is retrieved from this API callno
phoneNumberstringPhone number assigned to the agent or supervisor in Microsoft Teams. This info is retrieved from this API callno
skillsarrayList of skill objects to be assigned to the agent, not relevant for supervisorsyes

Example ​

json
{
    "type": "agent",
    "user": "sip:maciej.klunder@netaxis.be",
    "formal": false,
    "userPrincipalName": "maciej.klunder@netaxisdev.onmicrosoft.com",
    "phoneNumber": "+27102851535",
    "skills": [
        {
            "name": "Netaxis Sales",
            "score": 100
        },
        {
            "name": "I can Chat",
            "score": 99
        }
    ]
}

Response ​

Status codes ​

ParameterDescription
204The agent or supervisor was linked successfully to the Anywhere 365 subsite
400Error while linking the agent or supervisor to the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Modify an agent or supervisor linked to an Anywhere 365 subsite ​

Use this API to modify an existing agent or supervisor from an Anywhere 365 subsite.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/agents/{agent_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.agent.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API
agent_idstringOne of the Anywhere 365 agent or supervisor user property (sip address) as returned by this API

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
userstringSIP address of the agent or supervisorno
formalbooleanFlag that tells if an agent may op-in or opt-out a queue. Only relevant for agents, not relevant for supervisorsyes
skillsarrayList of skill objects to be assigned to the agent, not relevant for supervisorsyes
site_idstringOne of the Anywhere 365 subsiteyes

Example ​

json
{
    "user": "sip:maciej.klunder@netaxis.be",
    "formal": true,
    "skills": [
        {
            "name": "Netaxis Developer",
            "score": 66
        },
        {
            "name": "Another skill",
            "score": 15
        }
    ],
    "site_id": "netaxisdev.sharepoint.com,5db4803c-b318-41bb-b21d-b2d2e0fb8dcd,3960a723-d6c3-48b3-ae97-f864498c0580"
}

Response ​

Status codes ​

ParameterDescription
204The agent or supervisor was modified successfully from the Anywhere 365 subsite
400Error while modifying the agent or supervisor from the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Use this API to unlink a list of agents and/or supervisors from an Anywhere 365 subsite.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/agents

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.agents.list.unlink

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
agentsarrayList of user property entries that correspond to agents you want to unlink from the subsiteyes
supervisorsarrayList of user property entries that correspond to supervisors you want to unlink from the subsiteyes

Example ​

json
{
    "agents": [
        "sip:maciej.klunder@netaxis.be",
        "sip:christophe.bury@netaxis.be"
    ],
    "supervisors": [
        "sip:manuel.basilavecchia@netaxis.be"
    ]
}

Response ​

Status codes ​

ParameterDescription
204The agent and/or supervisor list was unlinked successfully from the Anywhere 365 subsite
400Error while unlinking the agent or supervisor list from the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Unlinking an Anywhere 365 site ​

If you don't need Anywhere 365 services anymore, you can unlink the Anywhere 365 main site from your Fusion subscription. This API allows this unlinking process.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.unlink

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to unlink the Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The Anywhere 365 main site was unlinked successfully
400Error while unlinking the Anywhere 365 main site
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of business hours ​

Use this API to retrieve the list of business hours from an Anywhere 365 subsite.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/business_hours

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.business_hours.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the list of agents and supervisors
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of skills could be retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription / Anywhere 365 subsite doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
mondayarrayList of business_hours objects.no
tuesdayarrayList of business_hours objects.no
wednesdayarrayList of business_hours objects.no
thursdayarrayList of business_hours objects.no
fridayarrayList of business_hours objects.no
saturdayarrayList of business_hours objects.no
sundayarrayList of business_hours objects.no
Business Hours Object ​
ParameterTypeDescriptionConditional?
idintegerBusiness Hour IDno
allDaybooleanIs all day long?no
endstringEnd timeno
startstringStart timeno
Example ​
json
{
    "friday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 5,
            "start": "00:00"
        }
    ],
    "monday": [
        {
            "allDay": true,
            "end": "23:59",
            "id": 1,
            "start": "00:00"
        },
        {
            "allDay": false,
            "end": "12:00",
            "id": 8,
            "start": "8:45"
        }
    ],
    "saturday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 6,
            "start": "00:00"
        }
    ],
    "sunday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 7,
            "start": "00:00"
        }
    ],
    "thursday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 4,
            "start": "00:00"
        }
    ],
    "tuesday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 2,
            "start": "00:00"
        }
    ],
    "wednesday": [
        {
            "allDay": false,
            "end": "23:59",
            "id": 3,
            "start": "00:00"
        }
    ]
}

Create a business hour ​

Use this API to create a new business hour into an Anywhere 365 subsite.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/business_hours

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.business_hours.instance.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
allDaybooleanIs all day long?no
daystringThe name of the day of the weekyes
endstringThe end time (24H format)yes
startstringThe start time (24H format)yes

Example ​

json
{
    "allDay": false,
    "day": "saturday",
    "start": "08:00",
    "end": "16:00"
}

Response ​

Status codes ​

ParameterDescription
204The business hour was created successfully into the Anywhere 365 subsite
400Error while modifying the agent or supervisor from the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Modify a business hour ​

Use this API to modify an existing business hour into an Anywhere 365 subsite.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/business_hours/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.business_hours.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API
idstringOne of the business hour ID of the Anywhere 365 subsite

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
allDaybooleanIs all day long?no
endstringThe end time (24H format)yes
startstringThe start time (24H format)yes

Example ​

json
{
    "allDay": false,
    "start": "08:00",
    "end": "16:00"
}

Response ​

Status codes ​

ParameterDescription
204The business hour was modified successfully into the Anywhere 365 subsite
400Error while modifying the agent or supervisor from the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Delete a business hour ​

Use this API to delete an existing business hour into an Anywhere 365 subsite.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/sites/{site_id}/business_hours/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.sites.instance.business_hours.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
site_idstringOne of the Anywhere 365 subsite as returned by this API
idstringOne of the business hour ID of the Anywhere 365 subsite

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The business hour was deleted successfully into the Anywhere 365 subsite
400Error while modifying the agent or supervisor from the Anywhere 365 subsite
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of Anywhere 365 filters ​

This API call returns all available filters related to a subscription.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/filters

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.filters.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to get the filters list

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Anywhere 365 filters have been found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No MS Teams user found or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
filtersarrayA list of filter objects related to the main siteno
Filter Object ​
ParameterTypeDescriptionConditional?
idintegerID of the filter in the SRE databaseno
a365IdstringReference of the Microsoft Sharepoint list defining the Anywhere 365 main siteno
siteIdstringReference of the Microsoft Sharepoint list defining the Anywhere 365 subsiteno
siteNamestringName of the Anywhere 365 subsiteno
Example ​
json
{
    "filters": [
        {
            "id": 4,
            "a365Id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,8fa69c4c-64a0-45bd-b87b-aee2ac01f849",
            "siteId": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,e114e6fb-393b-4732-8549-e0384f8e1131",
            "siteName": "Office and Administration Paris"
        }
    ]
}

Create an Anywhere 365 filter ​

Use this API to create a new filter into an Anywhere 365 main site.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/filters

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.filters.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionConditional?
a365IdstringThe Anywhere 365 ID of the main siteno
siteIdstringThe Anywhere 365 ID of the sub siteno
siteNamestringThe name of the sub siteno

Example ​

json
{
    "a365Id": "netaxisdev.sharepoint.com,0028d4fa-7291-4047-b559-787f7a5136cd,8fa69c4c-64a0-45bd-b87b-aee2ac01f849",
    "siteId": "netaxistest.sharepoint.com,26910c72-af43-4e15-bbfc-8b5d8cb8890f,6921392f-d048-4f03-8901-533d7f09e7ee",
    "siteName": "Office and Administration Bern"
}

Response ​

Status codes ​

ParameterDescription
200The filter was created successfully into Anywhere 365
400Error while creating the filter or Anywhere 365 feature is not enabled
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerIndex of the created Anywhere 365 filterno

Example ​

json
{
    "id": 3
}

Delete an Anywhere 365 filter ​

Use this API to delete a filter from a subscription.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/anywhere365/filters/{filter_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.anywhere365.filters.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
sub_idintegerIndex of a subscription for which you want to integrate an Anywhere 365 main site
filter_idintegerIndex of a Anywhere 365 filter you want to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The Anywhere 365 filter was deleted successfully or not found
400Error while deleting the filter or Anywhere 365 feature is not enabled
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A